Subject: Re: wait timer, ExStart, and adj formation

From: Don Goodspeed <[email-masked]>
Date: Tue, 11 Mar 2003 17:11:45 -0500

All,

I've seen implementations that track all of the neighbor
errors, and this one packet shows up as a Bad Neighbor
State since the DBD packet came in when the adjacency
was in a state below ExStart.  This is probably what was
noticed and the reason Mitchell is looking into this.

But since there is no adverse effect, this should be
explainable by pointing this out in the RFC (hey, it
operates as intended!).

My 2 cents,
Don

 --- On Tue 03/11, Acee Lindem < [email-masked] > wrote:
From: Acee Lindem [mailto: [email-masked]]
To: [email-masked]
Date: Tue, 11 Mar 2003 14:29:11 -0500
Subject: Re: wait timer, ExStart, and adj formation

Mitchell,

This is normal operation. The router coming out of interface wait
state first will continue to resend the initial database packet every
retransmit interval seconds. The router in wait state will exit
wait state when he receives a hello from the other guy (assuming these are
the only guys on the ethernet and the first has elected himself DR).

Erblichs wrote:
> Group,
>
>         I have an issue dealing with the interaction of the wait timer,
>         adjacency formation, and the reception of the DBD packet to
>         move into the ExStart of the nbr state machine. This is
>         in a Ethernet environment.
>
>         What is occuring is simply stated as the ending of the
>         wait timer on one system, an election of DR/BDR and
>         the sending of a DBD packet out.
>
>         However, the 2nd system still hadn't ended its wait
>         timer and thus no adj has formed. Due to this, the
>         rec'd DBD is normally dropped.
>
>         This is going on at a customer site after they have
>         mucked with the OSPF code. I know of a simple fix
>         to patch the problem, but was looking to get a consensus
>         on the frequency of this timing issue being seen.
>
> Thanks,
>         Mitchell Erblich
>         Sr. Software Engineer
>

--
Acee

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!